summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/gnome2.eclass')
-rw-r--r--eclass/gnome2.eclass15
1 files changed, 15 insertions, 0 deletions
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index 56e43eb..f206fc1 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -27,6 +27,10 @@ esac
# Extra configure opts passed to econf
G2CONF=${G2CONF:-""}
+# Should we delete all the .la files?
+# Do NOT use without due consideration
+GNOME2_LA_PUNT=${GNOME2_LA_PUNT:-"no"}
+
# Extra options passed to elibtoolize
ELTCONF=${ELTCONF:-""}
@@ -51,6 +55,10 @@ gnome2_src_unpack() {
}
gnome2_src_prepare() {
+ # Don't use the session bus address inherited via the environment
+ # causes test and introspection-building failures
+ unset DBUS_SESSION_BUS_ADDRESS
+
# Prevent scrollkeeper access violations
gnome2_omf_fix
@@ -128,6 +136,13 @@ gnome2_src_install() {
# Make sure this one doesn't get in the portage db
rm -fr "${ED}/usr/share/applications/mimeinfo.cache"
+
+ # Delete all .la files
+ if [[ "${GNOME2_LA_PUNT}" != "no" ]]; then
+ ebegin "Removing .la files"
+ find "${D}" -name '*.la' -exec rm -f '{}' + || die
+ eend
+ fi
}
gnome2_pkg_preinst() {